Welcome to Pop-up Excel Calendar

Pop-up Excel Calendar

Version 2.21

date picker virtual box

OFFICE-KIT.COM - ExcelDatePicker.com

Pop-up Excel Calendar

Easily enter date values into Excel with a pop-up calendar or date picker

Works with:

  • Microsoft Windows 10 | 8 | 7 | Vista | XP
  • Microsoft Excel/Office 2016 | 2013 | 2010 | 2007 | 2003


Pop-up Excel Calendar, a date picker for Microsoft Excel

One of the common problems many users encounter with Excel is incorrectly entering dates. People seem to get confused about entering dates. Should they enter dd/mm/yy or mm/dd/yy? Do they enter slashes or dashes or dots? And what was the date of the third Thursday in September last year anyway?

When a date is not entered in the correct format Excel will not recognize it as a valid date. This often means you can not perform calculations with the 'so-called' dates. It also means any charts, Pivot tables etc based off the dates will not be valid.

What you really need is Pop-up Excel Calendar, or a date picker running right within Microsoft Excel!

Pop-up Excel Calendar is an Excel COM add-in program that allows you to easily enter dates into Excel with a few mouse clicks.

For a quick example, click your mouse on a cell in which you must enter a date. An in-cell icon button appears. Click the icon button to display the calendar. Click the date you want to enter and you are done!

If you like, you can even have the calendar display automatically as soon as a date-formatted cell is selected. For more information, please see displaying calendar automatically.

In Excel 2007 and the above versions, by default Pop-up Excel Calendar creates a separate tab Pop-up Calendar in the Ribbon-based user interface. The tab contains 5 buttons, as detailed below.

pop-up Excel Calendar main screen in Excel 2007
Pop-up Excel Calendar in Excel 2007, Excel 2010 and Excel 2013 - click to enlarge

  • Calendar!

    Displays the pop-up calendar manually. Generally you don't need this button to display the pop-up calendar, as the in-cell icon button is shown automatically when you click a date cell.

  • Settings

    Displays the Settings window, in which you can control how the pop-up calendar works for you.

  • Disable

    Disables the pop-up calendar. If this button is pushed, the in-cell icon button won't be shown even if you click a cell that is formatted as date. Click the button again to enable the calendar.

  • Help

    Opens the help document.

  • About Pop-up Excel Calendar

    Copyright and license information. You will need this button to enter you registration code/license key to unlock the program.

pop-up Excel Calendar (Excel date picker) main screen with steps
Pop-up Excel Calendar in Excel 2013 - Click to enlarge

As you can see from the figure above, in Excel 2003 Pop-up Excel Calendar provides a toolbar, which consists of 5 buttons, corresponding to the 5 command buttons in Excel 2007, Excel 2010 and Excel 2013.


Install and Uninstall - Pop-up Excel Calendar / Date Picker for Excel

Pop-up Excel Calendar OFFICE-KIT.COM

Installing and Uninstalling

Installing

Installing Pop-up Excel Calendar is easy and quick.

  • Download the program from http://www.office-kit.com/product.htm.
  • Double click the setup program (pop-up_excel_calendar_setup.exe) to install it.

Note: To successfully install Pop-up Excel Calendar, you need an Administrator Windows account. However, running Pop-up Excel Calendar does not require you to log in to Windows with an Administrator account - users who logged in with a Limited account on Windows XP, or a Standard account on Windows Vista, Windows7 and Windows 8, can also run Pop-up Excel Calendar.

After installing the program, a new toolbar Pop-up Excel Calendar is added to your Excel 2003. In Excel 2007, Excel 2010 and Excel 2013, you will see a new tab Pop-up Calendar is added to the ribbon.

Uninstalling

To uninstall Pop-up Excel Calendar, first open Windows control panel.

  • In Windows 7 and Windows 8, when the control panel is in the "Category" view, choose "Uninstall a program".
  • In Windows XP, click "Add or Remove Programs".

Once the program list is opened, choose Pop-up Excel Calendar, and then click the corresponding command to uninstall it.


Settings - Pop-up Excel Calendar

Settings

To display the Settings window, click the Settings button on the Pop-up Excel Calendar toolbar in Excel 2003, or click the Settings button on the Pop-up Calendar ribbon tab in Excel 2007, Excel 2010 and Excel 2013. The Settings window is where you can control how the pop-up calendar works for you.

Excel Version | Settings Window
Excel 2003 (Windows XP) | pop-up Excel Calendar Settings window in Excel 2003 and Windows XP
Excel 2013 (Windows 8) | pop-up Excel Calendar Settings window in Excel 2013 and Windows 8
Go to top

When to Display In-Cell Button

By default, the in-cell icon button is displayed automatically when you click a cell which is:

  • Formatted as date. To set the format of a cell in Excel, right click the cell and choose Format Cells. On the Number tab choose Date in the Category list, and then choose a proper date format in the Type list.
  • Filled with a date-like value. For example, if a cell is formatted as "General" but has a date-like value "September 1 2006", Pop-up Excel Calendar will display the in-cell icon button when you click the cell.
  • Underneath a cell with a date value or format in it. For example, if a cell has a "General" format and its value is empty, Pop-up Excel Calendar still can display the in-cell icon button if the cell on the top of it has a date value or format.
  • Underneath a cell that has some form of the word "date" in it.

You can enable or disable the above options respectively in the Settings window, which can be opened by clicking the Settings button on the Pop-up Excel Calendar toolbar, or clicking the Settings button on the pop-up calendar window.

Go to top

'Date' Text

Go to top

If the 'Cell underneath a cell that has some form of the word "date" in it' option on the Settings window is checked, you can have the calendar / date picker activated if the cell above it contains a special word. The special word list can be set by clicking the Set 'Date' Text button on the Settings window. By default, the special word list contains the text labels in more than 50 languages that are translated from the English word 'Date'.

Note that depending on your Windows configurations, some text labels on the "Set Date Text" dialog box may be shown as small empty blocks. This is normal and it does not affect the activation of the calendar.

set 'date' text

Installation Mode (Excel 2007, Excel 2010 and Excel 2013 Only)

In Excel 2007, Excel 2010 and Excel 2013, the classic menu and toolbar based user interface is replaced by a ribbon-based new user interface. Pop-up Excel Calendar can be installed as either a separate tab Pop-up Calendar in the ribbon, or a group in the standard Insert tab. You can change the installation mode by choosing the corresponding option in the "Install this program as" field on the Settings window (See the figure above).

If you change the installation mode from "A group in Insert tab" to "A separate tab" or vice visa, you may or may not be asked to restart Excel 2007, Excel 2010 or Excel 2013, depending on the version of Windows you are running and the type of your Windows account (Administrator, Limited user, etc.). If you see the following message, simply exit Excel and then start it again to make the changes take effect.

Restart Excel message.

Go to top

Setting Default Date Format

If the target cell is not formatted as date, you can choose to have Pop-up Excel Calendar set a date format automatically. This option can be enabled or disabled in the Settings window, which can be opened by clicking the Settings button on the Pop-up Excel Calendar toolbar, or clicking the Settings button on the pop-up calendar window.

To specify the default date format, enter a format string in the box underneath the Apply the following date format if the target cell is not formatted as date checkbox.

A date format string is constructed with format codes, which describe how you want to display date. For example, if your default date format is "mm/dd/yyyy", "September 1, 2014" will be formatted as "09/01/2014". The following tables shows you all the valid codes that you can use in the date format string.

To display | Use this code
Months as 1–12 | m
Months as 01–12 | mm
Months as Jan–Dec | mmm
Months as January–December | mmmm
Days as 1–31 | d
Days as 01–31 | dd
Years as 00–99 | yy
Years as 1900–9999 | yyyy

In addition to any valid combinations of the above format codes, you can also enter "dddd" and "ddd" as the date format string.

To display | Use this format string
Full day of week name. eg. "Monday", "Tuesday", "Wednesday"... | dddd
3 letter day of week name abbreviation. eg. "Mon", "Tue", "Wed"... | ddd
Go to top

Displaying Calendar Automatically

By default Pop-up Excel Calendar displays an in-cell icon button when you click a date cell. You need to click the in-cell icon button to open the calendar on which you click to select the date value.

The "Display calendar automatically" option on the Settings window saves one click by displaying the calendar automatically. If you check this option, the calendar is displayed automatically along with the in-cell icon button whenever you click a date cell.

Go to top

Date Can Contain Time

The option "Date can contain time" allows you to specify whether Pop-up Excel Calendar works for the dates or formats that contain time. If this option is checked, a date containing time part will be seen as a normal date, and the time part is ignored. This option is unchecked by default.

For example, if a cell value is "December 3, 2002 16:17:18" and the "Date can contain time" option is checked, when you click the cell the calendar appears. If you uncheck the option, the calendar won't appear when you click the cell.


Display Calendar Manually - Pop-up Excel Calendar

Displaying Calendar Manually

If you want to enter a date value in a cell, but the in-cell icon button is not shown automatically when you click the cell, you can display the calendar manually by the following operations:

  • Click the Calendar! button on the Pop-up Excel Calendar toolbar (Excel 2003).

    Display the calendar manually by clicking the button on the Pop-up Excel Calendar toolbar

  • Click the Pop-up Calendar button on the Standard toolbar (Excel 2003).

    Display the calendar manually by clicking the button on the Standard toolbar

  • Right click the cell and choose Pop-up Calendar (Excel 2003, Excel 2007, Excel 2010 and Excel 2013).

    Display the calendar manually by right-clicking the cell

  • Click the Calendar! button in the Pop-up Calendar group on the ribbon (Excel 2007, Excel 2010 and Excel 2013).

    Display the calendar manually by clicking the ribbon button

In Excel 2003, if the Pop-up Excel Calendar toolbar is not visible, click Excel menu View -> Toolbars -> Pop-up Excel Calendar to display it. You can also choose to display or hide the button/command on the Standard toolbar and right-click menu with the Settings window, which can be opened by clicking the Settings button on the Pop-up Excel Calendar toolbar, or clicking the Settings button on the pop-up calendar window.

In Excel 2007, Excel 2010 and Excel 2013, you can change the installation mode of the Pop-up Calendar ribbon group to be either in a separate tab or the standard Insert tab, by choosing the corresponding option located on the Settings window.


Custom Date Formats - Pop-up Excel Calendar

Custom Date Formats

Starting with version 1.3.3, Pop-up Excel Calendar supports "custom date formats" that enables you to specify your own valid and/or invalid date formats. If a custom date format is added to the Valid date format list, Pop-up Excel Calendar recognizes it as a valid date format, no matter whether it is a normal date format in Excel; likewise, if a custom date format is added to the Invalid date format list, the format will never been seen as a date format, even if Excel itself can apply it.

Let's find out how to use custom date formats by an example.

By default, Pop-up Excel Calendar displays the in-cell icon button for cells formatted with Text, since Excel can format a date value with the Text format. Here is how you can change this default behavior by utilizing custom date formats in Excel 2003.

  1. Click the Settings button on the Pop-up Excel Calendar toolbar to display the Settings window.
  2. Click the Custom Date Formats button to open the Custom Date Formats window. As you can see from the figure, the Custom Date Formats window provides two lists, one for valid date formats and the another for invalid date formats.

    custom date formats

  3. To find out the format codes of the Text format, click the Format Cells/Number button, which opens the Number tab of the Format Cells dialog box provided by Excel.

    custom date formats - The Number tab of the Format Cells box

  4. In the Category list, choose Text. See the figure above.
  5. Click Custom in the Category list. In the Type section, Excel selects the format code of the Text format automatically. As you can see, the format code of the Text format is "@".

    custom date formats - the format code of Text format

  6. Click OK or Cancel to close the Format Cells dialog box. Closing the dialog box does not modify the format of the current selected cell, no matter which button, OK or Cancel, you click to close the dialog box.
  7. Now on the Custom Date Formats box, click to activate the text box below Invalid date format, enter "@" - the format code of Text format.

    custom date formats - Add an invalid date format

  8. Click Add.
  9. Click OK to close the Custom Date Formats dialog box.
  10. Click OK to close the Settings dialog box.
  11. Now if you click a cell formatted with Text, the in-cell icon button won't appear.


Setting default date - Pop-up Excel Calendar

Setting Default Date

The date picker by default displays the pop-up calendar showing current system date if the target cell does not contain a valid date value or it is blank. This could be very inconvenient if you need to enter many date values that are far from the current system date.

By setting the default date value, the date picker shows specified date on the calendar for the target cell. To open the Default Date dialog box:

  1. Click the Settings button on the toolbar in Excel 2000/2002/2003, or click the Settings button on the ribbon in Excel 2007/2010.
  2. Click the Default Date button.

Set a default date for the date picker

If the text box is left empty and you click OK, the date picker will show current system date when the pop-up calendar shows for an empty cell or a cell does not contain a valid date.

If you enter a valid date value in the text box and click OK, this date value will be shown on the pop-up calendar next time it opens for an empty cell or a cell does not contain a valid date.

If "Restore this setting next time Excel starts" is checked, the default date value set in the text box will be restored automatically next time you run Excel. If this box is unchecked, next time you start Excel the date picker will use the system date again.


Registration and Service

Registration & Service

The trial version of Pop-up Excel Calendar is fully functional but will expire after a certain number of days. If you like it and want to keep it, please buy a registration code/license key to unlock it.

To purchase your license, simply go to http://www.office-kit.com/buy.htm and choose an online store.

After getting your registration code/license key, enter it to unlock the software:

  • Start Microsoft Excel.
  • In Excel 2003, click the About Pop-up Excel Calendar button on the Pop-up Excel Calendar toolbar to display the About window. If the Pop-up Excel Calendar toolbar is not shown, click Excel menu View -> Toolbars -> Pop-up Excel Calendar to display it.

    In Excel 2007, Excel 2010 and Excel 2013, click the About / Registration button to open the About window.

    Pop-up Excel Calendar - Enter your registration code/license key.

  • Enter your registration name and code exactly. To avoid mistyping, please copy and paste your registration name and code in to the proper text box.
  • Click the Activate This License Key! button.
  • Restart Excel. If your registration name and code are entered correctly, the About window displays your name.

    Pop-up Excel Calendar - Registered version.

Please feel free to contact us by clicking the Support/Email button on the About window, for any problems, questions and concerns you may have.


Frequently Asked Questions - Pop-up Excel Calendar

FAQ

1. How can I disable Pop-up Excel Calendar?

To disable the program temporarily, in Excel 2003 push the Disable button on the Pop-up Excel Calendar toolbar, or in Excel 2007, Excel 2010 and Excel 2013 push the Disable button in the Pop-up Calendar ribbon group. Click the same button again to enable it.

2. How can I hide/display the Pop-up Excel Calendar toolbar in Excel 2003?

To display the toolbar when it is invisible, choose Excel menu View -> Toolbars -> Pop-up Excel Calendar, and make sure "Pop-up Excel Calendar" is checked. To hide the toolbar, click the same menu item again and make sure it is not checked.

3. Does Pop-up Excel Calendar work in split mode?

Yes Pop-up Excel Calendar works for split worksheets.

4. Does Pop-up Excel Calendar work in frozen mode?

Yes Pop-up Excel Calendar works for frozen worksheets.

5. Does Pop-up Excel Calendar work when zoom is not 100%?

Yes Pop-up Excel Calendar works even if the zoom is not 100%.

6. The in-cell icon button does not appear when it is supposed to do.

The in-cell icon button won't appear if:

  • The target cell contains a formula.
  • The target cell is locked and the worksheet is protected.

7. The calendar or date picker does not pop up. Even clicking on the toolbar or ribbon buttons does not work.

  1. The date picker (Pop-up Excel Calendar) might be disabled. To find this out in Excel 2003:
    1. Click Excel menu Help -> About Microsoft Office Excel -> Disabled Items.
    2. If "Pop-up Excel Calendar" is listed in the Disabled Items box, then select it and click the Enable button.
    3. You need to restart Excel to start Pop-up Excel Calendar.

    In Excel 2007, Excel 2010 and Excel 2013:

    1. In Excel 2007 click Office button -> Excel Options; In Excel 2010 and Excel 2013 clickFile and then Options.
    2. Click Add-ins on the left command bar.
    3. Is Pop-up Excel Calendar listed in the Active application add-ins section? If not, you should install Pop-up Excel Calendar first.
    4. Choose Disabled Items from the Manage list. Click Go.
    5. If Pop-up Excel Calendar is listed as a disabled item, enable it by clicking the Enable button.
    6. Restart Excel.
  2. The program might be corrupt.

    The program files could be corrupt because of a virus or other threatening program. You can verify the digital signature of the program files to quickly find out if they are intact. To do this:

    1. Open Pop-up Excel Calendar installation folder in Windows Explorer. By default the installation folder of Pop-up Excel Calendar is:

      <System Driver>\Program Files\Uniform Software\Pop-up Excel Calendar\

      Or,

      <System Driver>\Program Files\Office-Kit.com\Pop-up Excel Calendar\

    2. Right-click OKEXLCAL.DLL, choose Properties.
    3. Open the Digital Signature tab.
    4. Click to select Uniform Software Ltd digital signature and then click Details.
    5. The Digital Signature Details dialog box should display a message "This digital signature is OK". If you don't see this message, the file you are verifying is corrupt.

    If you find the file is corrupt, the first thing you need to do is to install a virus scanner and then scan your whole system completely. Once you are sure that your system is clean, then re-download and install Pop-up Excel Calendar.

  3. A hidden instance of Microsoft Excel is running in the background.

    Microsoft Excel does not exit properly and there is still a hidden instance running in the background. Try to reboot Windows to make the system clean.


Version History - Pop-up Excel Calendar

Version History

2.15 - August 15, 2015

  • Support for Windows 10.

2.12 - January 20, 2015

  • Improved support for non-standard display DPI settings.

2.11 - May 10, 2014

  • The "Set 'Date' Text" dialog box, which can be opened from the Settings window, allows you to define a special word list - if a cell contains any word in the list, the cell below the special word cell will be seen as a date cell and the date picker will be activated.
  • Fixed the bug - mouse scroll wheel does not work for the active sheet after selecting a date value from the calendar / date picker.

2.10 - February 10, 2014

  • This is a completely redesigned and recoded version of Pop-up Excel Calendar / Excel Date Picker version 1.x. Pop-up Excel Calendar / Excel Date Picker now supports the latest Excel 2010 and Excel 2013 versions, both 64 bit and 32 bit.
  • New option on the Settings window that allows you to set calendar / Date Picker dimensions in width and height. For example you can set the calendar / Date Picker to show two months in widths and one months in height.
  • New options on the Settings window allow you to adjust the background color, border color and font color of the date picker / calendar.
  • New option for showing week numbers.

1.7.7 - April 5, 2011

  • New feature: The date picker offers a new option that enables the pop-up calendar shows a default date for a target cell.

1.6.6 - December 23, 2010

  • New feature: Support for Microsoft Excel/Office 2010.

1.5.5 - December 3, 2009

  • New feature: The new option "Date can contain time" allows you to specify whether Pop-up Excel Calendar works for the dates or formats that contain time. If this option is checked, a date containing time part will be seen as a normal date, and the time part is ignored. This option is unchecked by default.

1.4.4 - November 3, 2009

  • New feature: Support for Windows 7.
  • New feature: Support for dual monitors. The previous version didn't pop-up the calendar if you had dual monitors installed and the monitors were arranged left-right (as opposed to top-bottom) in Windows control panel. With this new version the support for dual monitors is fully implemented.

1.3.3 - May 21, 2008

  • New feature: Support for custom date formats. There are two types of custom date formats, valid date formats and invalid date formats. This new feature allows you to control when the in-cell icon button (calendar) is activated in a more personalized way.

    For more information, please see Custom Date Formats.

  • New feature: Now you can have the calendar display as soon as a date-formatted cell is selected, without having to click on the in-cell icon button that appears. For more information, please see Display Calendar Automatically.

1.2.2 - May 20, 2007

  • New feature: Support for Windows Vista.
  • New feature: Support for Excel/Office 2007.
  • New feature: Support for non-normal view. In the previous version, Pop-up Excel Calendar works in the Normal view only. In this version, Pop-up Excel Calendar works even if the worksheet is not in Normal view - for example, Page Break Preview in Excel 2003 and Page Layout in Excel 2007.
  • New feature: Full support for split mode. In the previous version, the calendar works for the last (active) pane only. Now Pop-up Excel Calendar works for all the panes in split mode.

1.0.1 - September 1, 2006

  • Initial release.